Delete product
Deletes a product and cascade-deletes all of its prices in one transaction. Fails if any of the product's prices have ever been referenced by a line item — in that case the product must be archived instead.
Deletes a product and cascade-deletes all of its prices in one transaction. Fails if any of the product's prices have ever been referenced by a line item — in that case the product must be archived instead.
Authorization
api-key API key for merchant integrations. Send as Authorization: Bearer <your key>.
In: header
Path Parameters
Product ID
Response Body
curl -X DELETE "https://example.com/products/string"Update product PATCH
Updates product information. Can update product data fields, default price, and image. - The defaultPrice field should be the ID of the Price object that is the default price for this product - The image field should be a URL string (use the /upload-url endpoint to get a one-time upload URL first)
List products GET
Lists products with search and filters. Supports: - Active filter (active=true/false) - Metadata filter (JSON string) - Search in name, description, and unitLabel fields - Pagination